summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Menno E. Duursma <druiloor@zonnet.nl>2010-05-11 22:55:02 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:02 +0200
commit4cbc8b3b806b3bfe38c19f777bedfbe40f8f62f3 (patch)
tree83e10ef3f3c246e6b22cc6d2a66e5914318e46ae
parent5353c184c86aed67139de4eec525ae4e29724c50 (diff)
downloadslackbuilds-4cbc8b3b806b3bfe38c19f777bedfbe40f8f62f3.tar.gz
slackbuilds-4cbc8b3b806b3bfe38c19f777bedfbe40f8f62f3.tar.xz
network/suhosin: Added to 12.1 repository
-rw-r--r--network/suhosin/README25
-rw-r--r--network/suhosin/slack-desc19
-rw-r--r--network/suhosin/suhosin.SlackBuild72
-rw-r--r--network/suhosin/suhosin.info8
4 files changed, 124 insertions, 0 deletions
diff --git a/network/suhosin/README b/network/suhosin/README
new file mode 100644
index 0000000000..373b38219e
--- /dev/null
+++ b/network/suhosin/README
@@ -0,0 +1,25 @@
+Suhosin is an advanced protection system for PHP installations.
+
+It was designed to protect servers and users from known and unknown flaws
+in PHP applications and the PHP core.
+
+Suhosin comes in two independent parts, that can be used separately or
+in combination. The first part is a small patch against the PHP core,
+that implements a few low-level protections against bufferoverflows or
+format string vulnerabilities.
+
+The second part is a powerful PHP extension that implements all the other
+protections. Suhosin is binary compatible with normal PHP installations,
+which means it is compatible to 3rd party binary extensions like
+ZendOptimizer.
+
+This package includes only the extention. To enable it after installation,
+edit /etc/httpd/php.ini and add a line to 'Dynamic Extensions', like this:
+
+extension=suhosin.so
+
+After which the 'php -v' command should list it as loaded.
+For more info try:
+
+php -i | grep suhosin
+
diff --git a/network/suhosin/slack-desc b/network/suhosin/slack-desc
new file mode 100644
index 0000000000..01ed973e52
--- /dev/null
+++ b/network/suhosin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+suhosin: Suhosin (PHP security extension)
+suhosin:
+suhosin: Suhosin is an advanced protection system for PHP installations. It
+suhosin: was designed to protect servers and users from known and unknown
+suhosin: flaws in PHP applications and the PHP core.
+suhosin:
+suhosin: Suhosin is developed and maintained by the hardened-php project.
+suhosin:
+suhosin:
+suhosin:
+suhosin:
diff --git a/network/suhosin/suhosin.SlackBuild b/network/suhosin/suhosin.SlackBuild
new file mode 100644
index 0000000000..d00d12aa58
--- /dev/null
+++ b/network/suhosin/suhosin.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for Suhosin
+
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+# Modified by SlackBuilds.org
+
+PRGNAM=suhosin
+VERSION=${VERSION:-0.9.27}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -type d | xargs chmod 0755
+find . -type f | xargs chmod a-s,go-w
+
+# With PHP extentions apparently this is needed
+phpize
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+EXTENSION_DIR="$PKG/usr/lib/php/extensions" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+
+install -D -m755 modules/suhosin.so $PKG/usr/lib/php/extensions/suhosin.so
+
+( cd $PKG || exit 1
+ find . -type f | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* Changelog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/suhosin/suhosin.info b/network/suhosin/suhosin.info
new file mode 100644
index 0000000000..1879fd6125
--- /dev/null
+++ b/network/suhosin/suhosin.info
@@ -0,0 +1,8 @@
+PRGNAM="suhosin"
+VERSION="0.9.27"
+HOMEPAGE="http://www.hardened-php.net/suhosin/index.html"
+DOWNLOAD="http://download.suhosin.org/suhosin-0.9.27.tgz"
+MD5SUM="9aae02bc2d2bcf9b8bd97cd22f56a8b8"
+MAINTAINER="Menno E. Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="David Somero"